GreatWksTextInternal Namespace Reference

Internal: the structures of a GreatWksText. More...

## Classes

struct | PLC
| Internal : a PLC: used to store change of properties in GreatWksTextInternal::Zone. More...
struct | Token
| Internal and low level: structure which stores a token for GreatWksText. More...
struct | Frame
| Internal and low level: structure which stores a text position for GreatWksText. More...
struct | Zone
| Internal and low level: structure which stores a text zone header for GreatWksText. More...
struct | State
| Internal: the state of a GreatWksText. More...

## Enumerations

enum | PLCType { P_Font , P_Page , P_Ruler , P_Token , P_Unknown }
| the different plc type More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Token const &token)

## Detailed Description

Internal: the structures of a GreatWksText.

## Enumeration Type Documentation

## PLCType

enum GreatWksTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Page |
P_Ruler |
P_Token |
P_Unknown |

## Function Documentation

## operator<<() [1/2]

std::ostream & GreatWksTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

## operator<<() [2/2]

std::ostream & GreatWksTextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | token )